#ifndef OBJECT_CHAR_H
#define OBJECT_CHAR_H
// joycub V2 - an interpeter for the programming language Joy
// (c) 2004-2006 Sergey Zubkov 
// prototype.cc - prototype module to test out the new design considerations
//static char RCSID[] ="$Id: char.h,v 1.1 2006/02/27 18:50:34 cubbi Exp cubbi $";

#include "globals.h"
#include "int.h"

// global object counters (for memory debugging)
extern int char_type_count;

class JC_char : public JC_int {
public:
	JC_char(char);
	JC_char(const JC_char& j);
	JC_char(const std::string&);
	~JC_char(void);
	inline const obj_type get_type(void) const { return CHAR; };
	inline char to_char(void) const { return (char)content; };
	std::string to_string() const;
};
#endif
